## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcTimer Struct Reference

Timer propery class. More...

`#include <propclass/timer.h>`

List of all members.

## Public Member Functions

virtual void | Clear ()=0
| Clear this timer.
virtual void | WakeUp (csTicks t, bool repeat)=0
| Wake up the Behaviour in 't' ticks.
virtual void | WakeUpFrame (int where)=0
| Wake up the Behaviour every frame.

## Detailed Description

Timer propery class.

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- WakeUp: parameters 'time' (long) and 'repeat' (bool).
- WakeUpFrame: no parameters.
- Clear: no parameters.

This property class can send out the following messages to the behaviour (add prefix 'cel.parameter.' to get the ID for parameters):

- pctimer_wakeup: wakeup message
- pctimer_wakeupframe: wakeup every frame (elapsedticks,currentticks)

Definition at line 48 of file timer.h.

## Member Function Documentation

virtual void iPcTimer::Clear | ( |  | ) | `[pure virtual]`

| Clear this timer.

virtual void iPcTimer::WakeUp | ( | csTicks | t,
|  | bool | repeat
| ) | `[pure virtual]`

| Wake up the Behaviour in 't' ticks. If 'repeat' is true then this will be repeated. Otherwise there will only be one signal.

virtual void iPcTimer::WakeUpFrame | ( | int | where | ) | `[pure virtual]`

| Wake up the Behaviour every frame.

The documentation for this struct was generated from the following file:

- propclass/timer.h